.NOLIST
#INCLUDE "..\ti83plus.inc"
#DEFINE  ProgStart    $9D95
.LIST
.db $bb,$6d
.org $9d95
	bcall(_RunIndicOff)
	b_call _ClrLCDFull
#include "Source/menu.asm"
mainloop:
	ld HL,(timer)
	inc HL				;increments the key press timer
	ld (timer),HL
	call dispStats
	call clearEn
	call clearLoc
	call dispEn
	call dispLoc
	call StoreLoc
	call StoreEn
	ld a, (column)		;wincheck start
	ld b, a				;stores current column into b
	ld a, (enCol)		;current enemy column into a
	or a				;
	cp b				;if not equal
	jp nz, label3		;jump to keyloop
	ld a, (row)			;
	ld b, a				;row to b
	ld a, (enRow)		;enemy row to a
	or a				;
	cp b				;if equal exit
	jr nz, label3		;wincheck end
	ld a,(health)
	dec a
	ld (health), a
	cp 0
	jp z, exit
label3
	ld a, (difficulty)	;stores the difficulty to b and loops the correct amount of time
	ld (tmp),a
label1:
	ld b,3
	call iRandom
	cp 0
	jp z,enRight
	cp 1
	jp z,enLeft
	cp 2
	jp z,enUp
	cp 3
	jp z,enDown
label2
	ld a,(tmp)
	dec a
	ld (tmp),a
	inc a
	ld b, a
	DJNZ label1
keyloop:
	bcall(_getCSC)
	or a				;figures out which key was pressed
	jr z, keyloop
	cp skClear
	jp z, exit3
	cp skUp
	jr z, up
	cp skDown
	jr z, down
	cp skLeft
	jr z, left
	cp skRight
	jr z, right
	jp keyloop
right:					;move right one space
	ld a,(column)
	cp 15
	jp z,mainloop
	inc a
	ld (column),a
	jp mainloop
left:					;move left
	ld a,(column)
	cp 0
	jp z,mainloop
	dec a
	ld (column),a
	jp mainloop
up:						;eat it, just eat it
	ld a,(row)			;j/k move up
	cp 1
	jp z,mainloop
	dec a
	ld (row),a
	jp mainloop
down:					;move down
	ld a,(row)
	cp 7
	jp z,mainloop
	inc a
	ld (row),a
	jp mainloop
enRight:				;enemy move right
	ld a,(enCol)
	cp 15
	jp z,label2
	inc a
	ld (enCol),a
	jp label2
enLeft:					;and left
	ld a,(enCol)
	cp 0
	jp z,label2
	dec a
	ld (enCol),a
	jp label2
enUp:					;and up
	ld a,(enRow)
	cp 1
	jp z,label2
	dec a
	ld (enRow),a
	jp label2
enDown:					;and down
	ld a,(enRow)
	cp 7
	jp z,label2
	inc a
	ld (enRow),a
	jp label2
exit:								;exit routine
	b_call _ClrScrnFull			;clear the screen
	b_call _homeup					;shift curcol and currow back to top
	ld hl,winmsg
	bcall(_putS)
	ld a,1
	ld (currow),a
	ld a,0
	ld (curcol),a
	ld HL, (timer)					;load score to HL
	bcall(_DispHL)					;display your score :D
winloop
	bcall(_getCSC)
	or a				;figures out which key was pressed
	jr z, winloop
	cp skclear
	jp z, exit2
	cp skenter
	jr nz, winloop
	jp exit3
#include "Source/lib.asm"
#include "Source/variables.asm"
.END
.END
