clearLoc:
	ld a,(colStore)
	ld (curcol),a
	ld a,(rowStore)
	ld (currow),a
	ld a, ' '			;clears current position
	bcall(_putMap)
	ret
dispEn:
	ld a,(enCol)
	ld (curcol),a
	ld a,(enRow)
	ld (currow),a
	ld a, 'X'			;displays the enemy char
	bcall(_putMap)
	ret
clearEn:
	ld a,(colStoreEn)
	ld (curcol),a
	ld a,(rowStoreEn)
	ld (currow),a
	ld a,' '			;clears enemy position
	bcall(_putMap)
	ret
dispLoc:
	ld a,(column)
	ld (curcol),a
	ld a,(row)
	ld (currow),a
	ld a,'O'			;displays your char
	bcall(_putMap)
	ret
StoreLoc:
	ld a, (column)
	ld (colStore), a
	ld a, (row)
	ld (rowStore), a
	ret
StoreEn:
	ld a, (enCol)
	ld (colStoreEn), a
	ld a, (enRow)
	ld (rowStoreEn), a
	ret
dispStats:
	ld a, 0
	ld (curcol),a
	ld (currow),a
	ld HL, (timer)
	bcall(_DispHL)
	ld a, 10
	ld (curcol),a
	ld a, 0
	ld (currow),a
	ld HL, (health)
	bcall(_DispHL)
	ret
menuTitle:
	ld a,4
	ld (curcol),a
	ld a,0
	ld (currow),a
	ld hl,GameName
	b_call _putS
	ld a,6
	ld (curcol),a
	ld a,7
	ld (currow),a
	ld hl,Author
	b_call _putS
	ret
menuItem:
	ld a, 3
	ld (currow), a
	ld a, 6
	ld (curcol), a
	ld a,b
	add a,a
	add a,a
	add a,b
	ld hl, menu
	add a,L
	ld L,a
	jr nc,$+3
	inc h
	b_call _putS
	ret
menuItem2:
	ld a, 3
	ld (currow), a
	ld a, 6
	ld (curcol), a
	ld a,b
	add a,a
	add a,a
	add a,b
	ld hl, difficulties
	add a,L
	ld L,a
	jr nc,$+3
	inc h
	b_call _putS
	ret
iRandom:
	push	hl
	push	de
	ld	hl,(randData)
	ld	a,r
	ld	d,a
	ld	e,(hl)
	add	hl,de
	add	a,l
	xor	h
	ld	(randData),hl
	sbc	hl,hl
	ld	e,a
	ld	d,h
iRandomLoop:
	add	hl,de
	djnz	iRandomLoop
	ld	a,h
	pop	de
	pop	hl
	ret